| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
uiODView2DFaultSS2DTreeItem Class Reference
uiODMain

`#include <uiodvw2dfaultss2dtreeitem.h>`

Inheritance diagram for uiODView2DFaultSS2DTreeItem:
[legend]

## Public Member Functions
| uiODView2DFaultSS2DTreeItem (const EM::ObjectID &)
| uiODView2DFaultSS2DTreeItem (const Vis2DID &, bool dummy)
| ~uiODView2DFaultSS2DTreeItem ()
EM::ObjectID | emObjectID () const
bool | select () override
bool | showSubMenu () override
const View2D::FaultSS2D * | vw2DObject () const
Public Member Functions inherited from uiODView2DTreeItem
| uiODView2DTreeItem (const uiString &)
| ~uiODView2DTreeItem ()
void | addKeyBoardEvent (const EM::ObjectID &)
void | fillPar (IOPar &) const
const uiODView2DTreeItem * | getView2DItem (const Vis2DID &) const
bool | setZAxisTransform (ZAxisTransform *)
void | updSampling (const TrcKeyZSampling &, bool)
void | updSelSpec (const Attrib::SelSpec *, bool wva)
void | usePar (const IOPar &)
Public Member Functions inherited from uiTreeItem
| uiTreeItem (const uiString &nm=uiString::empty())
| ~uiTreeItem ()
virtual bool | addChild (uiTreeItem *child, bool below)
bool | allChildrenChecked () const
bool | allChildrenCollapsed () const
bool | allChildrenExpanded () const
bool | allChildrenUnchecked () const
bool | areAllParentsChecked ()
virtual bool | askContinueAndSaveIfNeeded (bool withcancel)
NotifierAccess * | checkStatusChange ()
void | collapse ()
void | collapseAllChildren ()
void | entryInEditMode (int col)
void | expand ()
void | expandAllChildren ()
virtual uiTreeItem * | findChild (const char *name)
virtual const uiTreeItem * | findChild (const char *name) const
virtual uiTreeItem * | findChild (int selkey)
virtual const uiTreeItem * | findChild (int selkey) const
virtual void | findChildren (const char *, ObjectSet< uiTreeItem > &)
uiTreeItem * | getChild (int)
const uiTreeItem * | getChild (int) const
ObjectSet< uiTreeItem > & | getChildren ()
const ObjectSet< uiTreeItem > & | getChildren () const
uiTreeViewItem * | getItem ()
const uiTreeViewItem * | getItem () const
template<class T >
bool | getProperty (const char *key, T &res) const
bool | getPropertyPtr (const char *key, void *&) const
bool | hasChildren () const
bool | hasGrandChildren () const
virtual bool | isChecked () const
bool | isCollapsed () const
bool | isExpanded () const
virtual bool | isSelected () const
NotifierAccess * | keyPressed ()
uiTreeItem * | lastChild ()
| mOD_DisableCopy (uiTreeItem) virtual void prepareForShutdown()
virtual void | moveItem (uiTreeItem *after)
virtual void | moveItemToTop ()
uiString | name () const
int | nrChildren () const
uiTreeItem * | parentTreeItem ()
virtual void | removeChild (uiTreeItem *)
virtual int | selectionKey () const
void | setChecked (bool yn, bool trigger=false)
void | setName (const uiString &nm)
template<class T >
void | setProperty (const char *key, const T &)
void | setPropertyPtr (const char *key, void *)
void | setToolTip (int column, const uiString &)
virtual uiTreeItem * | siblingAbove ()
virtual uiTreeItem * | siblingBelow ()
virtual int | siblingIndex () const
virtual void | translateText ()
virtual void | updateCheckStatus ()
virtual void | updateColumnText (int col)
void | updateSelTreeColumnText (int col)
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()

## Protected Member Functions
void | checkCB (CallBacker *)
void | deSelCB (CallBacker *)
void | displayMiniCtab ()
void | emobjAbtToDelCB (CallBacker *)
void | emobjChangeCB (CallBacker *)
void | enableKnotsCB (CallBacker *)
bool | init () override
bool | isSelectable () const override
const char * | parentType () const override
void | propChgCB (CallBacker *)
Protected Member Functions inherited from uiODView2DTreeItem
void | addAction (uiMenu &mnu, uiString txt, int id, const char *icon=0, bool enab=true)
uiODApplMgr * | applMgr ()
uiMenu * | createAddMenu ()
uiMenu * | createRemoveMenu ()
virtual void | dataTransformCB (CallBacker *)
void | doSave ()
void | doSaveAs ()
int | getNewItemID () const
virtual bool | handleStdSubMenu (int menuid)
virtual void | hideAllChildren ()
virtual const char * | iconName () const
bool | init () override
virtual void | insertStdSubMenu (uiMenu &)
bool | isAddItem (int id, bool addall) const
bool | isRemoveItem (int id, bool removeall) const
void | keyPressedCB (CallBacker *)
void | removeAllChildren () override
void | renameVisObj ()
virtual void | showAllChildren ()
virtual void | updateCS (const TrcKeyZSampling &, bool)
virtual void | updateSelSpec (const Attrib::SelSpec *, bool wva)
uiODViewer2D * | viewer2D ()
Protected Member Functions inherited from uiTreeItem
virtual bool | addChld (uiTreeItem *, bool below, bool downwards)
virtual bool | anyButtonClick (uiTreeViewItem *)
virtual bool | doubleClick (uiTreeViewItem *)
virtual uiParent * | getUiParent () const
virtual bool | isExpandable () const
virtual void | removeItem (uiTreeViewItem *)
virtual void | renameItem (uiTreeViewItem *)
virtual bool | rightClick (uiTreeViewItem *)
virtual bool | selectWithKey (int selkey)
virtual void | setTreeViewItem (uiTreeViewItem *)
virtual bool | shouldSelect (int selectionkey) const
virtual int | uiTreeViewItemType () const
virtual void | updateSelection (int selectionKey, bool dw=false)
virtual bool | useParentType () const

## Protected Attributes
EM::ObjectID | emid_
View2D::FaultSS2D * | fssview_ = nullptr
Protected Attributes inherited from uiODView2DTreeItem
ZAxisTransform * | datatransform_
Vis2DID | displayid_
EM::ObjectID | emobjid_
Protected Attributes inherited from uiTreeItem
ObjectSet< uiTreeItem > | children_
uiString | name_
uiTreeItem * | parent_ = nullptr
IOPar | properties_
uiTreeViewItem * | uitreeviewitem_ = nullptr

## Additional Inherited Members
Static Public Member Functions inherited from uiODView2DTreeItem
static bool | create (uiTreeItem *, const uiODViewer2D &, const Vis2DID &)
static bool | create (uiTreeItem *, const VisID &, const Vis2DID &)
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()
Static Protected Member Functions inherited from uiODView2DTreeItem
static uiString | sChangeSetup ()

## Detailed Description

<>

## Constructor & Destructor Documentation

## ◆ uiODView2DFaultSS2DTreeItem() [1/2]

uiODView2DFaultSS2DTreeItem::uiODView2DFaultSS2DTreeItem | ( | const EM::ObjectID & |  | ) |

## ◆ uiODView2DFaultSS2DTreeItem() [2/2]

uiODView2DFaultSS2DTreeItem::uiODView2DFaultSS2DTreeItem | ( | const Vis2DID & | ,
|  | bool | dummy )

## ◆ ~uiODView2DFaultSS2DTreeItem()

uiODView2DFaultSS2DTreeItem::~uiODView2DFaultSS2DTreeItem | ( |  | ) |

## Member Function Documentation

## ◆ checkCB()

void uiODView2DFaultSS2DTreeItem::checkCB | ( | CallBacker * |  | ) |
| protected

## ◆ deSelCB()

void uiODView2DFaultSS2DTreeItem::deSelCB | ( | CallBacker * |  | ) |
| protected

## ◆ displayMiniCtab()

void uiODView2DFaultSS2DTreeItem::displayMiniCtab | ( |  | ) |
| protected

## ◆ emobjAbtToDelCB()

void uiODView2DFaultSS2DTreeItem::emobjAbtToDelCB | ( | CallBacker * |  | ) |
| protected

## ◆ emobjChangeCB()

void uiODView2DFaultSS2DTreeItem::emobjChangeCB | ( | CallBacker * |  | ) |
| protected

## ◆ emObjectID()

EM::ObjectID uiODView2DFaultSS2DTreeItem::emObjectID | ( |  | ) | const
| inline

## ◆ enableKnotsCB()

void uiODView2DFaultSS2DTreeItem::enableKnotsCB | ( | CallBacker * |  | ) |
| protected

## ◆ init()

bool uiODView2DFaultSS2DTreeItem::init | ( |  | ) |
| override protected virtual

Reimplemented from uiTreeItem.

## ◆ isSelectable()

bool uiODView2DFaultSS2DTreeItem::isSelectable | ( |  | ) | const
| inline override protected virtual

Reimplemented from uiTreeItem.

## ◆ parentType()

const char * uiODView2DFaultSS2DTreeItem::parentType | ( |  | ) | const
| override protected virtual

Returns
  typeid(parentclass).name()

Implements uiTreeItem.

## ◆ propChgCB()

void uiODView2DFaultSS2DTreeItem::propChgCB | ( | CallBacker * |  | ) |
| protected

## ◆ select()

bool uiODView2DFaultSS2DTreeItem::select | ( |  | ) |
| override virtual

Selects this item

Reimplemented from uiTreeItem.

## ◆ showSubMenu()

bool uiODView2DFaultSS2DTreeItem::showSubMenu | ( |  | ) |
| override virtual

Reimplemented from uiTreeItem.

## ◆ vw2DObject()

const View2D::FaultSS2D * uiODView2DFaultSS2DTreeItem::vw2DObject | ( |  | ) | const
| inline

## Member Data Documentation

## ◆ emid_

EM::ObjectID uiODView2DFaultSS2DTreeItem::emid_
| protected

## ◆ fssview_

View2D::FaultSS2D* uiODView2DFaultSS2DTreeItem::fssview_ = nullptr
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025